/// <reference types="node" />
import * as tar from "tar-stream";
import { Duplex, Writable } from "stream";
export declare type TarExtractGzipOption = boolean | "auto" | import("zlib").ZlibOptions;
export interface TarExtractOptions {
    gzip?: TarExtractGzipOption;
}
declare const TAR_EXTRACT_PRIVATE_PROP_KEY: unique symbol;
declare type TarExtractPrivateTarExtract = {
    extract: tar.Extract;
    setup: boolean;
} & ({
    writable: Writable;
    pending: undefined;
} | {
    writable: undefined;
    pending: Promise<Writable>;
});
declare type DuplexCallback = (error?: Error | null) => void;
export declare class TarExtract extends Duplex {
    protected readonly [TAR_EXTRACT_PRIVATE_PROP_KEY]: TarExtractPrivateTarExtract;
    constructor(options?: TarExtractOptions);
    _write(chunk: Uint8Array, encoding: unknown, callback: DuplexCallback): Promise<void>;
    _read(): void;
    _final(callback: DuplexCallback): Promise<void>;
}
export declare function extract(...args: ConstructorParameters<typeof TarExtract>): TarExtract;
export {};
