'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('tar-stream');
require('stream');
var extract = require('./extract.js');
require('zlib');
var pack = require('./pack.js');
var transform = require('./transform-b481bcb1.js');

function isTarEntry(e) {
    if (typeof e === "object" && e && "headers" in e) {
        const { headers, content, stream } = e;
        if (headers &&
            typeof headers === "object" &&
            typeof headers.name === "string") {
            if (headers.pax && headers.name !== headers.pax.path) {
                return false;
            }
            return (
            // only content
            ((typeof content === "string" || content instanceof Buffer) &&
                !stream) ||
                // only stream
                (!!stream && !content) ||
                // directory
                (!stream && !content && headers.type === "directory"));
        }
    }
    return false;
}

exports.TarExtract = extract.TarExtract;
exports.extract = extract.extract;
exports.TarPack = pack.TarPack;
exports.pack = pack.pack;
exports.TarEntryTransformer = transform.TarEntryTransformer;
exports.TarTransform = transform.TarTransform;
exports.streamToBuffer = transform.streamToBuffer;
exports.streamToString = transform.streamToString;
exports.transform = transform.transform;
exports.isTarEntry = isTarEntry;
//# sourceMappingURL=index.js.map
