/// <reference types="node" />
import { Duplex } from "stream";
import { TarEntry } from "./types/tar-entry";
import * as zlib from "zlib";
export interface TarPackOptions {
    gzip?: boolean | zlib.ZlibOptions;
}
declare const TAR_PACK_PRIVATE_PROP_KEY: unique symbol;
declare type DuplexCallback = (error?: Error | null) => void;
export declare class TarPack extends Duplex {
    private readonly [TAR_PACK_PRIVATE_PROP_KEY];
    constructor(options?: TarPackOptions);
    _write(chunk: TarEntry, encoding: unknown, callback: DuplexCallback): void;
    _writev(chunks: Array<{
        chunk: TarEntry;
        encoding: unknown;
    }>, callback: DuplexCallback): void;
    _read(size: number): void;
    _final(callback: DuplexCallback): void;
}
export declare function pack(...args: ConstructorParameters<typeof TarPack>): TarPack;
export {};
