/// <reference types="node" />
import { Transform, TransformCallback } from "stream";
import { TarEntry } from "../types/tar-entry";
import { TarEntryTransformer, TransformerOptions } from "./transformer";
export * from "../util/stream-to";
declare const KEY_TRANSFORMER: unique symbol;
export declare class TarTransform<T = never> extends Transform {
    private [KEY_TRANSFORMER];
    constructor(transformer?: TransformerOptions<T> | TarEntryTransformer<T>);
    protected get transformer(): TarEntryTransformer<T>;
    _transform(chunk: TarEntry, encoding: unknown, callback: TransformCallback): void;
    _flush(callback: TransformCallback): void;
    protected transformTarEntry(chunk: TarEntry): void | Promise<void>;
}
export declare function transform<T = never>(transformer: TransformerOptions<T>): TarTransform<T>;
export declare function transform<T = never>(transformer: TarEntryTransformer<T>): TarTransform<T>;
