/// <reference types="node" />
import { Readable } from "stream";
import { TarEntry } from "../types/tar-entry";
import * as util from "../util/transformer-util";
declare const KEY_READABLE_STREAM: unique symbol;
declare const KEY_ON_ENTRY: unique symbol;
declare const KEY_ON_END: unique symbol;
export declare type OnEntry<T> = (this: TarEntryTransformer<T>, entry: TarEntry) => unknown | Promise<unknown>;
export declare type OnEnd<T> = (this: TarEntryTransformer<T>) => unknown | Promise<unknown>;
export interface TransformerOptions<T> {
    onEntry?: OnEntry<T>;
    initCtx?: T;
    onEnd?: OnEnd<T>;
}
export declare class TarEntryTransformer<T = never> {
    private [KEY_READABLE_STREAM];
    private [KEY_ON_ENTRY];
    private [KEY_ON_END];
    ctx: T;
    constructor(opts?: TransformerOptions<T>);
    get readableStream(): Readable;
    set readableStream(v: Readable);
    protected get onEntryImpl(): OnEntry<T>;
    onEntry(entry: TarEntry): unknown;
    onEnd(): unknown;
    push(entry: TarEntry): true;
    pass(entry: TarEntry): true;
    readonly util: typeof util;
}
export {};
