/// <reference types="node" />
import { TarEntryHeaders } from "../util/tar-entry-headers";
interface TarEntryBase {
    readonly headers: TarEntryHeaders;
}
export interface TarEntryWithStream extends TarEntryBase {
    readonly stream: import("stream").Readable;
    readonly content?: undefined;
}
export interface TarEntryWithContent extends TarEntryBase {
    readonly stream?: undefined;
    readonly content?: string | Buffer;
}
export declare type TarEntry = TarEntryWithStream | TarEntryWithContent;
export declare function isTarEntry(e: unknown): e is TarEntry;
export {};
